Bug 818520 - rhevm-config: when running rhevm-manage-domains if you put -interactive after the -user command will fail to run
rhevm-config: when running rhevm-manage-domains if you put -interactive afte...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Oved Ourfali
Ortal
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 05:06 EDT by Dafna Ron
Modified: 2016-02-10 14:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-10 04:44:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2012-05-03 05:06:30 EDT
Description of problem:

user before interactive: 

[root@dafna-web-admin yum.repos.d]# rhevm-manage-domains -action=add -domain=qa.lab.tlv.redhat.com -provider=ActiveDirectory -user=XXXXX -intaractive
Argument [passwordFile, interactive] is required.


putting the interactive before user:

[root@dafna-web-admin yum.repos.d]# rhevm-manage-domains -action=add -domain=qa.lab.tlv.redhat.com -provider=ActiveDirectory -interactive -user=XXXXX 
Enter password:


Version-Release number of selected component (if applicable):

si3
rhevm-config-3.1.0_0001-9.el6ev.x86_64

How reproducible:

100%

Steps to Reproduce:
1. try to add a domain when -interactive will be after -user
2.
3.
  
Actual results:

command will fail. 

Expected results:

we should not fail

Additional info:

[root@dafna-web-admin yum.repos.d]# rhevm-manage-domains -action=add -domain=qa.lab.tlv.redhat.com -provider=ActiveDirectory -user=vdcadmin -intaractive
Argument [passwordFile, interactive] is required.
[root@dafna-web-admin yum.repos.d]# rhevm-manage-domains -action=add -domain=qa.lab.tlv.redhat.com -provider=ActiveDirectory -user=vdcadmin -intaractive
Argument [passwordFile, interactive] is required.
[root@dafna-web-admin yum.repos.d]# rhevm-manage-domains -action=add -domain=qa.lab.tlv.redhat.com -provider=ActiveDirectory -interactive -user=vdcadmin 
Enter password:

Note You need to log in before you can comment on or make changes to this bug.